Differential
Elided
File Paths
Module Names
Flamegraph
Inverted Flamegraph
📊
--
Total Samples
⏱
--
Duration
⚡
--
Samples/sec
λ
--
Functions
Sampling Efficiency --
Missed samples --
1
--
--
--
2
--
--
--
3
--
--
--
GIL Held --
GIL Released --
Waiting GIL --
GC --
Exception --
Thread Filter
Hottest ≥60%
Very Hot 35-60%
Hot 18-35%
Warm 12-18%
Medium 6-12%
Cool 3-6%
Cold 1-3%
Coldest <1%
Deep Regression ≥100%
Medium Regression 50-100%
Light Regression 30-50%
Minor Regression 15-30%
Neutral -15% to 15%
Minor Improvement -30% to -15%
Light Improvement -50% to -30%
Strong Improvement <-50%
New No counterpart in baseline
Removed No counterpart in current